## caja-file-info

caja-file-info

## Synopsis

    #define             CAJA_FILE_DEFINED
    typedef             CajaFile;
    typedef             CajaFileInfo;
                        CajaFileInfoIface;
    GList *             caja_file_info_list_copy        (GList *files);
    void                caja_file_info_list_free        (GList *files);
    gboolean            caja_file_info_is_gone          (CajaFileInfo *file);
    GFileType           caja_file_info_get_file_type    (CajaFileInfo *file);
    GFile *             caja_file_info_get_location     (CajaFileInfo *file);
    char *              caja_file_info_get_name         (CajaFileInfo *file);
    char *              caja_file_info_get_uri          (CajaFileInfo *file);
    char *              caja_file_info_get_activation_uri
                                                            (CajaFileInfo *file);
    GFile *             caja_file_info_get_parent_location
                                                            (CajaFileInfo *file);
    char *              caja_file_info_get_parent_uri   (CajaFileInfo *file);
    GMount *            caja_file_info_get_mount        (CajaFileInfo *file);
    char *              caja_file_info_get_uri_scheme   (CajaFileInfo *file);
    CajaFileInfo*   caja_file_info_get_parent_info  (CajaFileInfo *file);
    char *              caja_file_info_get_mime_type    (CajaFileInfo *file);
    gboolean            caja_file_info_is_mime_type     (CajaFileInfo *file,
                                                             const char *mime_type);
    gboolean            caja_file_info_is_directory     (CajaFileInfo *file);
    gboolean            caja_file_info_can_write        (CajaFileInfo *file);
    void                caja_file_info_add_emblem       (CajaFileInfo *file,
                                                             const char *emblem_name);
    char *              caja_file_info_get_string_attribute
                                                            (CajaFileInfo *file,
                                                             const char *attribute_name);
    void                caja_file_info_add_string_attribute
                                                            (CajaFileInfo *file,
                                                             const char *attribute_name,
                                                             const char *value);
    void                caja_file_info_invalidate_extension_info
                                                            (CajaFileInfo *file);

## Object Hierarchy

      GInterface
       +----CajaFileInfo

## Prerequisites

CajaFileInfo requires GObject.

## Description

## Details

### CAJA_FILE_DEFINED

    #define CAJA_FILE_DEFINED

### CajaFile

    typedef struct CajaFile          CajaFile;

### CajaFileInfo

    typedef CajaFile                  CajaFileInfo;

### CajaFileInfoIface

    typedef struct {
    	GTypeInterface g_iface;

    	gboolean          (*is_gone)              (CajaFileInfo *file);

    	char *            (*get_name)             (CajaFileInfo *file);
    	char *            (*get_uri)              (CajaFileInfo *file);
    	char *            (*get_parent_uri)       (CajaFileInfo *file);
    	char *            (*get_uri_scheme)       (CajaFileInfo *file);

    	char *            (*get_mime_type)        (CajaFileInfo *file);
    	gboolean          (*is_mime_type)         (CajaFileInfo *file,
    						   const char       *mime_Type);
    	gboolean          (*is_directory)         (CajaFileInfo *file);

    	void              (*add_emblem)           (CajaFileInfo *file,
    						   const char       *emblem_name);
    	char *            (*get_string_attribute) (CajaFileInfo *file,
    						   const char       *attribute_name);
    	void              (*add_string_attribute) (CajaFileInfo *file,
    						   const char       *attribute_name,
    						   const char       *value);
    	void              (*invalidate_extension_info) (CajaFileInfo *file);

    	char *            (*get_activation_uri)   (CajaFileInfo *file);

    	GFileType         (*get_file_type)        (CajaFileInfo *file);
    	GFile *           (*get_location)         (CajaFileInfo *file);
    	GFile *           (*get_parent_location)  (CajaFileInfo *file);
    	CajaFileInfo* (*get_parent_info)      (CajaFileInfo *file);
    	GMount *          (*get_mount)            (CajaFileInfo *file);
    	gboolean          (*can_write)            (CajaFileInfo *file);
    } CajaFileInfoIface;

### caja_file_info_list_copy ()

    GList *             caja_file_info_list_copy        (GList *files);

`files` : |
Returns : |

### caja_file_info_list_free ()

    void                caja_file_info_list_free        (GList *files);

`files` : |

### caja_file_info_is_gone ()

    gboolean            caja_file_info_is_gone          (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_file_type ()

    GFileType           caja_file_info_get_file_type    (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_location ()

    GFile *             caja_file_info_get_location     (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_name ()

    char *              caja_file_info_get_name         (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_uri ()

    char *              caja_file_info_get_uri          (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_activation_uri ()

    char *              caja_file_info_get_activation_uri
                                                            (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_parent_location ()

    GFile *             caja_file_info_get_parent_location
                                                            (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_parent_uri ()

    char *              caja_file_info_get_parent_uri   (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_mount ()

    GMount *            caja_file_info_get_mount        (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_uri_scheme ()

    char *              caja_file_info_get_uri_scheme   (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_parent_info ()

    CajaFileInfo*   caja_file_info_get_parent_info  (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_get_mime_type ()

    char *              caja_file_info_get_mime_type    (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_is_mime_type ()

    gboolean            caja_file_info_is_mime_type     (CajaFileInfo *file,
                                                             const char *mime_type);

`file` : |
`mime_type` : |
Returns : |

### caja_file_info_is_directory ()

    gboolean            caja_file_info_is_directory     (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_can_write ()

    gboolean            caja_file_info_can_write        (CajaFileInfo *file);

`file` : |
Returns : |

### caja_file_info_add_emblem ()

    void                caja_file_info_add_emblem       (CajaFileInfo *file,
                                                             const char *emblem_name);

`file` : |
`emblem_name` : |

### caja_file_info_get_string_attribute ()

    char *              caja_file_info_get_string_attribute
                                                            (CajaFileInfo *file,
                                                             const char *attribute_name);

`file` : |
`attribute_name` : |
Returns : |

### caja_file_info_add_string_attribute ()

    void                caja_file_info_add_string_attribute
                                                            (CajaFileInfo *file,
                                                             const char *attribute_name,
                                                             const char *value);

`file` : |
`attribute_name` : |
`value` : |

### caja_file_info_invalidate_extension_info ()

    void                caja_file_info_invalidate_extension_info
                                                            (CajaFileInfo *file);

`file` : |